package body MSHTML.DispSVGPathSegArcRel_Object is

   procedure Put_pathSegType
     (This : DispSVGPathSegArcRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPathSegArcRel_Put_pathSegType,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_pathSegType;

   function Get_pathSegType
     (This : DispSVGPathSegArcRel_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegArcRel_Get_pathSegType);
   end Get_pathSegType;

   function Get_pathSegTypeAsLetter
     (This : DispSVGPathSegArcRel_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegArcRel_Get_pathSegTypeAsLetter);
   end Get_pathSegTypeAsLetter;

   procedure Put_x
     (This : DispSVGPathSegArcRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPathSegArcRel_Put_x,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_x;

   function Get_x
     (This : DispSVGPathSegArcRel_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegArcRel_Get_x);
   end Get_x;

   procedure Put_y
     (This : DispSVGPathSegArcRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPathSegArcRel_Put_y,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_y;

   function Get_y
     (This : DispSVGPathSegArcRel_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegArcRel_Get_y);
   end Get_y;

   procedure Put_r1
     (This : DispSVGPathSegArcRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPathSegArcRel_Put_r1,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_r1;

   function Get_r1
     (This : DispSVGPathSegArcRel_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegArcRel_Get_r1);
   end Get_r1;

   procedure Put_r2
     (This : DispSVGPathSegArcRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPathSegArcRel_Put_r2,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_r2;

   function Get_r2
     (This : DispSVGPathSegArcRel_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegArcRel_Get_r2);
   end Get_r2;

   procedure Put_angle
     (This : DispSVGPathSegArcRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPathSegArcRel_Put_angle,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_angle;

   function Get_angle
     (This : DispSVGPathSegArcRel_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegArcRel_Get_angle);
   end Get_angle;

   procedure Put_largeArcFlag
     (This : DispSVGPathSegArcRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPathSegArcRel_Put_largeArcFlag,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_largeArcFlag;

   function Get_largeArcFlag
     (This : DispSVGPathSegArcRel_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegArcRel_Get_largeArcFlag);
   end Get_largeArcFlag;

   procedure Put_sweepFlag
     (This : DispSVGPathSegArcRel_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         DispSVGPathSegArcRel_Put_sweepFlag,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_sweepFlag;

   function Get_sweepFlag
     (This : DispSVGPathSegArcRel_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, DispSVGPathSegArcRel_Get_sweepFlag);
   end Get_sweepFlag;

end MSHTML.DispSVGPathSegArcRel_Object;

